%global momorel 2
%global srcname TeXmacs

Summary: A wysiwyg mathematical text editor
Name: texmacs
Version: 1.0.6.12
Release: %{momorel}m%{?dist}
Source0: ftp://ftp.texmacs.org/pub/TeXmacs/targz/%{srcname}-%{version}-src.tar.gz
NoSource: 0
URL: http://www.texmacs.org/
License: GPL
Group: Applications/Editors
Requires: tetex 
Requires: guile, freetype
Buildrequires: libXext-devel, libX11-devel
Buildrequires: freetype-devel
Buildrequires: guile-devel desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
GNU TeXmacs is a free scientific text editor, which was both inspired by 
TeX and GNU Emacs. The editor allows you to write structured documents via 
a wysiwyg (what-you-see-is-what-you-get) and user friendly interface. New 
styles may be created by the user. The program implements high-quality 
typesetting algorithms and TeX fonts, which help you to produce professionally 
looking documents.

The high typesetting quality still goes through for automatically generated 
formulas, which makes TeXmacs suitable as an interface for computer algebra 
systems. TeXmacs also supports the Guile/Scheme extension language, so that 
you may customize the interface and write your own extensions to the editor.

%prep

%setup -q -n %{srcname}-%{version}-src

%build
%configure
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} transform='s,x,x,' install
export GUILE_DATA_PATH=`guile-config info pkgdatadir`
export GUILE_LOAD_PATH=`find $GUILE_DATA_PATH -type d | grep ice-9`

# icons

# menu
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -f %{buildroot}%{_datadir}/TeXmacs/misc/pixmaps/TeXmacs-gnu.xpm %{buildroot}%{_datadir}/pixmaps

mkdir -p %{buildroot}%{_datadir}/applications
cat << EOF > %{name}.desktop
[Desktop Entry]
Name=TeXmacs
GenericName=Scientific Editor
Comment=A WYSIWIG scientific text editor
Exec=/usr/bin/texmacs
Icon=TeXmacs-gnu.xpm
Terminal=false
Encoding=UTF-8
Type=Application
EOF
# install desktop file
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category Application \
   --remove-category Editor \
  --add-category Science \
  --add-category Math \
    ./%{name}.desktop


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/TeXmacs.h
%{_mandir}/*/*
%{_libexecdir}/TeXmacs
%{_datadir}/TeXmacs
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.6.12-2m)
- rebuild against gcc43

* Thu Mar 13 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0.6.12-1m)
- import to Momonga

* Sat Mar 24 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0.6.9-1m)
- import to Momonga
- version 1.0.6.9

* Wed Oct 11 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0.6.6-0.0.1m)
- version 1.0.6.6

* Sat Jul 15 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0.6.4-0.0.1m)
- version 1.0.6.4

* Tue Jun 28 2005 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0.5.4-0.0.1m)
- version 1.0.5.4

* Wed Nov 03 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0.4.3-0.0.1m)
- version 1.0.4.3

* Wed Nov  5 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0.2.6-0.0.1m)
- version 1.0.2.6

* Fri Oct 17 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0.2.3-0.0.1m)
- build for Momonga
- modified TeXmacs-1.0.2.3-1mdk of Mandrake Cooker

* Mon Oct 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2.3-1mdk
- 1.0.2.3

* Wed Sep 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.24-1mdk
- 1.0.1.24

* Sun Aug 24 2003 Michael Scherer <scherer.michael@free.fr> 1.0.1.21-2mdk
- BuildRequires ( libxfree86-devel ) 

* Tue Aug 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.21-1mdk
- 1.0.1.21

* Thu Jun 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.15-1mdk
- 1.0.1.15

* Wed May 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.13-1mdk
- 1.0.1.13

* Fri May 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.12-2mdk
- 1.0.1.12

* Thu Apr 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.10-1mdk
- 1.0.1.10

* Thu Apr 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.8-1mdk
- 1.0.1.8
- requires libguile12-devel

* Tue Feb 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.6-1mdk
- 1.0.1.6

* Thu Feb 20 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.5-1mdk
- 1.0.1.5

* Sun Feb 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.4-1mdk
- 1.0.1.4

* Fri Feb 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.3-1mdk
- 1.0.1.3

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.2-1mdk
- 1.0.1.2

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1.1-1mdk
- 1.0.1.1

* Thu Dec 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Mon Dec 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.25-1mdk
- 1.0.0.25

* Fri Dec 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.24-1mdk
- 1.0.0.24

* Wed Dec  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0.23-2mdk
- rebuild with new guile

* Thu Nov 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.23-1mdk
- 1.0.0.23-1mdk

* Tue Nov 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.22-1mdk
- 1.0.0.22

* Wed Nov 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.21-1mdk
- 1.0.0.21

* Wed Oct 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.20-1mdk
- 1.0.0.20

* Tue Oct 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.19-1mdk
- 1.0.0.19


* Mon Oct 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.18-1mdk
- 1.0.0.18

* Sat Sep 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.17-1mdk
- 1.0.0.17

* Mon Aug 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.15-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- update

* Tue Jul 30 2002 Austin Acton <aacton@yorku.ca> 1.0.0.11-1mdk
- release 1.0.0.11
- rename build target (dynamic link build is now default in makefile)
- revert to default RPM compile flags

* Mon Jul 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.9-1mdk
- 1.0.0.9

* Thu Jul 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.8-1mdk
- 1.0.0.8

* Fri Apr 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0.3-1mdk
- new release
- replaces "english" language by "british" and "american"

* Tue Apr 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0.2-1mdk
- new release

* Mon Apr 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0.1-1mdk
- 1.0.0.1

* Thu Mar 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0-1mdk
- 1.0

* Tue Mar 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.14-1mdk
- 0.3.5.14

* Fri Feb 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.13-1mdk
- 0.3.5.13

* Tue Feb 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.12-2mdk
- use TeXmacs authors compilation options

* Mon Feb 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.12-1mdk
- 0.3.5.12
- make MIXED_TEXMACS

* Sat Jan 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.11-2mdk
- updated desc.
- convert xpms to pngs

* Tue Dec 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.11-1mdk
- 0.3.5.11

* Fri Dec 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.10-1mdk
- 0.3.5.10

* Wed Nov 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.8-1mdk
- 0.3.5.8

* Fri Nov 23 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.7-1mdk
- 0.3.5.7

* Thu Nov 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.5-1mdk
- 0.3.5.5

* Mon Oct 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.3-1mdk
- 0.3.5.3

* Thu Oct 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.2-2mdk
- fixes from Thomas Leclerc <leclerc@linux-mandrake.com> :
	- remove BuildRequires: TeXmacs-fonts
	- Obsoletes: TeXmacs-fonts.
	Fonts are indeed generated at 1st start, and the font files of the package
	interfere with LaTeX if fonts were not previously built, or conflict with
	old files if they were.

* Wed Oct 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.2-1mdk
- 0.3.5.2

* Fri Oct 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.1-1mdk
- 0.3.5.1

* Thu Oct 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5.0-1mdk
- added by Thomas Leclerc <leclerc@linux-mandrake.com> :
	- First Mandrake build
	- specfile adapted from official one
